// creator  : weidu.exe (version 23600)
// argument : HULL.DLG
// game     : .
// source   : ./DATA/DIALOG.BIF
// dialog   : lang\en_us/dialog.tlk
// dialogF  : (none)

BEGIN ~HULL~
//////////////////////////////////////////////////
// WARNING: this file contains non-trivial WEIGHTs
//////////////////////////////////////////////////

IF WEIGHT #0 ~  NumberOfTimesTalkedTo(0)
~ THEN BEGIN 0 // from:
  SAY #15952 /* ~Hey kid, I woke late this morning and left my sword in the barracks before going on duty. If you want to get it for me, it's in the chest at the foot of my bed on the right side of the barracks. Quick now, before the Gatewarden catches me without it. You'll also find an antidote there. I think Dreppin needs one for old Nessa.~ */
  IF ~~ THEN DO ~AddJournalEntry(27149,QUEST)
SetGlobal("OHHullInProgress","GLOBAL",1)
~ EXIT
END

IF WEIGHT #1 ~  ReactionGT(LastTalkedToBy,NEUTRAL_UPPER)
PartyHasItem("SW1H12")
~ THEN BEGIN 1 // from:
  SAY #15983 /* ~Thanks, kiddo. Gorion didn't bring you up half bad, did he? You're lucky to have grown up here in Candlekeep, to be honest. Sometimes I think that the world outside these gates has gone mad, what with all this fighting over iron shortages and all. Amn and Baldur's Gate will be at war before the season's out, mark my words... Anyhow, I'm on duty. Here's 20 gold pieces for saving my skin from the Chief.~ */
  IF ~~ THEN DO ~AddexperienceParty(50)
TakePartyItem("SW1H12")
FillSlot(SLOT_WEAPON1)
EquipMostDamagingMelee()
GivePartyGold(20)
SetGlobal("HelpHull","GLOBAL",1)
EraseJournalEntry(27149)
AddJournalEntry(27150,QUEST_DONE)
~ EXIT
END

IF WEIGHT #3 /* Triggers after states #: 3 even though they appear after this state */
~  Global("HelpHull","GLOBAL",0)
~ THEN BEGIN 2 // from:
  SAY #15984 /* ~Don't make me beg, kid! Now get my sword before the Gatewarden has my hide!~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #2 ~  ReactionLT(LastTalkedToBy,FRIENDLY_LOWER)
PartyHasItem("SW1H12")
~ THEN BEGIN 3 // from:
  SAY #15985 /* ~Took your sweet time, didn't you? Gorion's a fool for trying to bring you up right and you can tell him I said so, too. If I didn't know any better, I'd say this whole iron crisis is the result of twerps like you wandering off with people's swords. Here's 10 gold pieces. Now get out of here, I'm on duty.~ */
  IF ~~ THEN DO ~AddexperienceParty(50)
TakePartyItem("SW1H12")
FillSlot(SLOT_WEAPON1)
EquipMostDamagingMelee()
GivePartyGold(10)
SetGlobal("HelpHull","GLOBAL",1)
EraseJournalEntry(27149)
AddJournalEntry(27151,QUEST_DONE)
~ EXIT
END

IF WEIGHT #4 ~  True()
~ THEN BEGIN 4 // from:
  SAY #15987 /* ~Ssh, kid. I'm on duty.~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #5 ~  False()
~ THEN BEGIN 5 // from:
  SAY #16032 /* ~Whoa there, kid! You messing with a Watcher? Give me some backup here—we've got a hostile!~ */
  IF ~~ THEN EXIT
END
